import { DEFAULT_CALENDAR_STRINGS, DEFAULT_DATE_FORMATTING } from '@fluentui/date-time-utilities';

var withCalendarProps = function() {
  return {
    strings: { type: Object, default: function() {
      return DEFAULT_CALENDAR_STRINGS;
    } },
    dateTimeFormatter: { type: Object, default: function() {
      return DEFAULT_DATE_FORMATTING;
    } }
  };
};

export { withCalendarProps };
